
QGIS Application - Bug report #14814

QGIS crashes using 2.5D Renderer for Lines

2016-05-13 06:51 AM - Peter Drexel

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22770

Description

On Windows 7 64bit QGIS 2.14.2 crashes when selecting 2.5 D renderer for lines.

I know it is not supported, but I can click the OK-Button and then get a Minidump.

Thanks 

Peter

Associated revisions

Revision e858a6d5 - 2016-06-06 12:36 PM - Matthias Kuhn 

Fix crash when using 2.5D renderer with incompatible layer

Fixes #14814

Revision 87beec03 - 2016-06-06 12:36 PM - Matthias Kuhn 

Fix crash when using 2.5D renderer with incompatible layer

Fixes #14814

History

#1 - 2016-05-23 01:00 PM - Giovanni Manghi

- Affected QGIS version changed from 2.14.2 to 2.14.3

- OS version deleted (7 64 bit)

- Operating System deleted (Windows)

Confirmed on Linux too (2.14.3).

#2 - 2016-05-30 07:58 AM - Regis Haubourg

- Priority changed from High to Severe/Regression

confirmed too on osgeo4w master 78bcd4b. I suggest raising to blocker because it just crashes qgis, and should be fairly easy to solve
#3 - 2016-06-06 03:32 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#4 - 2016-06-06 03:36 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"e858a6d5acb6c2b90f7f0d839ef851b0489adc5b".
